<template>
  <v-row justify="center">
    <v-dialog
      v-model="dialog"
      fullscreen
      hide-overlay
      transition="dialog-bottom-transition"
    >
      <template v-slot:activator="{ on, attrs }">
        <v-btn
          color="primary"
          dark
          v-bind="attrs"
          v-on="on"
        >
          Prelevement cervico vaginal
        </v-btn>
      </template>
      <v-card>
        <v-toolbar
          dark
          color="primary"
        >
          <v-btn
            icon
            dark
            @click="dialog = false"
          >
            <v-icon>mdi-close</v-icon>
          </v-btn>
          <v-toolbar-title>Examen de prelevement cervico vaginal (PCV)</v-toolbar-title>
          <v-spacer></v-spacer>
          <v-toolbar-items>
            <v-btn
              dark
              text
              @click="dialog = false"
            >
              Enregistrer
            </v-btn>
          </v-toolbar-items>
        </v-toolbar>
        <v-list
          three-line
          subheader
        >
         
          <v-form v-model="valid">
            <v-container fluid>
              <v-subheader><strong>Examen macroscopique</strong></v-subheader>
              <v-row>
                <v-list-item>
                  <v-list-item-content>
                      <v-col cols="2">
                          Aspect :
                        </v-col>
                      <v-radio-group
                      row
                      >
                        
                        <v-radio
                          cols="3"
                          label="Pateux"
                          value="pateux"
                        ></v-radio>
                        <v-radio
                          cols="3"
                          label="Laiteux"
                          value="laiteux"
                        ></v-radio>

                        <v-radio
                          cols="3"
                          label="Glaireux"
                          value="glaireux"
                        ></v-radio>

                        <v-radio
                          cols="3"
                          label="Autre"
                          value="autre"
                        ></v-radio>
                      </v-radio-group>
                      <v-col cols="2">
                          <v-text-field label="Préciser"></v-text-field>
                      </v-col>
                    </v-list-item-content>
                </v-list-item>
              </v-row>
              <v-row>
                <v-list-item>
                  <v-list-item-content>
                      <v-col cols="2">
                          Couleur :
                        </v-col>
                      <v-radio-group
                      row
                      >
                      
                        <v-radio
                          cols="2"
                          label="Jaunâtre"
                          value="jaunatre"
                        ></v-radio>
                        <v-radio
                          cols="2"
                          label="Chocolaté"
                          value="chocolate"
                        ></v-radio>

                        <v-radio
                          cols="2"
                          label="Hématique"
                          value="hematique"
                        ></v-radio>

                        <v-radio
                          cols="2"
                          label="Autre"
                          value="autre"
                        ></v-radio>
                      </v-radio-group>
                      <v-col cols="2">
                          <v-text-field label="Préciser"></v-text-field>
                      </v-col>
                    </v-list-item-content>
                </v-list-item>
              </v-row>
              <v-row>
                <v-list-item>
                  <v-list-item-content>
                      <v-col cols="2">
                          <v-text-field label="Ph (3.8 - 4.5)"></v-text-field>
                      </v-col>
                      <v-col cols="3">
                          Test à la Potasse (KOH) :
                        </v-col>
                      <v-radio-group
                      row
                      >
                        
                        <v-radio
                          cols="2"
                          label="Positif"
                          value="positif"
                        ></v-radio>
                        <v-radio
                          cols="2"
                          label="Negatif"
                          value="negatif"
                        ></v-radio>
                      </v-radio-group>
                  </v-list-item-content>
                </v-list-item>
              </v-row>
          
              <v-divider></v-divider>

              <v-subheader><strong>Examen microscopique</strong></v-subheader>
              <v-list-item>
                <v-list-item-content>
                    <v-col cols="4">
                        <v-text-field label="Leucocytes"></v-text-field>
                    </v-col>
                    <v-col cols="3">
                        Trichomonas vaginalis :
                      </v-col>
                    <v-radio-group
                    row
                    >
                      
                      <v-radio
                        cols="2"
                        label="Présence"
                        value="presence"
                      ></v-radio>
                      <v-radio
                        cols="2"
                        label="Absence"
                        value="absence"
                      ></v-radio>
                    </v-radio-group>
                </v-list-item-content>
              </v-list-item>

              <v-list-item>
                <v-list-item-content>
                    <v-col cols="2">
                        <v-text-field label="Hématies"></v-text-field>
                    </v-col>
                    <v-col cols="2">
                        <v-text-field label="Cellules"></v-text-field>
                    </v-col>
                    <v-col cols="2">
                        <v-text-field label="Levures"></v-text-field>
                    </v-col>
                    <v-col cols="2">
                        <v-text-field label="Filaments mycéliens"></v-text-field>
                    </v-col>
                    <v-col cols="2">
                        <v-text-field label="Autres à préciser"></v-text-field>
                    </v-col>
                </v-list-item-content>
              </v-list-item>
              <v-divider></v-divider>

              <v-subheader><strong>Coloration de GRAM</strong></v-subheader>
              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-radio
                    label="Diplocoque Gram négatif"
                    value="diplocoquegramnegatif"
                  ></v-radio>
                  <v-radio
                    label="Bacille Gram négatif"
                    value="bacillegramnegatif"
                  ></v-radio>
                </v-radio-group>
              </v-row>
              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-radio
                    label="Diplocoque Gram négatif"
                    value="diplocoquegramnegatif"
                  ></v-radio>
                  <v-radio
                    label="Bacille Gram négatif"
                    value="bacillegramnegatif"
                  ></v-radio>
                </v-radio-group>
              </v-row>
              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-radio
                    label="Diplocoque Gram négatif"
                    value="diplocoquegramnegatif"
                  ></v-radio>
                  <v-radio
                    label="Bacille Gram négatif"
                    value="bacillegramnegatif"
                  ></v-radio>
                </v-radio-group>
              </v-row>

              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-radio
                    label="Diplocoque Gram négatif"
                    value="diplocoquegramnegatif"
                  ></v-radio>
                  <v-radio
                    label="Bacille Gram négatif"
                    value="bacillegramnegatif"
                  ></v-radio>
                </v-radio-group>
              </v-row>

              <v-row>
                <v-radio-group
                  v-model="row"
                  row
                >
                  <v-text-field label="Bacille de Doderlein"></v-text-field>
                  <v-text-field label="Type de flore"></v-text-field>
                </v-radio-group>
              </v-row>
            </v-container>
          </v-form>
        </v-list>
      </v-card>
    </v-dialog>
  </v-row>
</template>

<script>
  export default {
    data () {
      return {
        dialog: false,
        notifications: false,
        sound: true,
        widgets: false,
      }
    },
  }
</script>